EndpointsCoaching Sessions

List coaching sessions

GET/v2/coaching-sessions

Returns the caller's coaching sessions across episodes, newest first, optionally filtered to one policy version. Carries a X-Next-Cursor response header when another page exists.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Query Parameters

policy_version_id?|

Only sessions coaching this policy version.

limit?Limit

Page size.

Range1 <= value <= 100
Default25
cursor?|

Continuation token from the previous response's X-Next-Cursor header.

curl -X GET "https://softmax.com/api/observatory/v2/coaching-sessions"
[  {    "id": "string",    "episode_id": "a7b62598-1927-4181-99d5-5d746c0bbcfe",    "coworld_id": "string",    "coworld_name": "string",    "episode_thumbnail_url": "string",    "recording_url": "string",    "user_id": "string",    "status": "recording",    "tick_alignment": "available",    "duration_ms": 0,    "policy_reference": {      "status": "seated",      "policy_version_id": "7cd41427-f4be-4006-ab17-5ead7f8f8446",      "slot": 0    },    "has_video": true,    "latest_analysis": {      "id": "string",      "provider": "string",      "model": "string",      "prompt_version": "string",      "status": "queued",      "phase": "string",      "upload_percent": 0,      "usage_usd": 0,      "error": "string",      "created_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z"    },    "feed": {      "summary": "string",      "quote": "string",      "insights": [        "string"      ]    },    "created_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z"  }]